package cadastromailavancado;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class CadastroServlet extends HttpServlet {
  protected void doPost(HttpServletRequest request,
                        HttpServletResponse response)
                        throws ServletException, IOException {
	  
    // pega parmetros do request
    String nome = request.getParameter("nome");
    String email = request.getParameter("email");
 
    GregorianCalendar calendrio = new GregorianCalendar();
    String mensagem = calendrio.get(Calendar.AM_PM) == Calendar.AM ?
                      "Bom dia" : "Boa Tarde";
    
    /* Tratando parmetros. Isso deveria ser feito de outra forma,
     * provavelmente com JavaScript. Estamos fazendo dessa forma 
     * s para mostrar o uso de alguns recursos de Servlet
     */ 
    if( "".equals( nome.trim() ) || "".equals( email.trim() ) ){
    	throw new ServletException("Campo nome e e-mail no podem ser vazios!");
    }
    
    // acerta tipo MIME para a resposta
    response.setContentType("text/html");

    PrintWriter out = response.getWriter();
    out.println("<HTML>");
    out.println("<BODY>");
    out.println("<P>" + mensagem + ", " + nome + "</P>");
    out.println("<P>Obrigado por cadastrar seu email (" + email + ") conosco.</P>");
    out.println("<P>- A Galera Java</P>");
    out.println("</BODY>");
    out.println("</HTML>");
    out.close();
  }

}